using System.Windows;
using CODE.Framework.Wpf.Mvvm;

namespace MyBusinessApplication.Models.Home
{
    public class StartViewModel : ViewModel
    {
        public static StartViewModel Current { get; set; }

        public StartViewModel()
        {
            Current = this;
        }

        public void LoadActions()
        {
            Actions.Clear();

            // TODO: The following list of actions is used to populate the application's main navigation area (such as a menu or a home screen)

            var customerAction =
                new ViewAction("All Customers",
                               execute: (a, o) => Controller.Action("Customer", "List"));
            customerAction.Significance = ViewActionSignificance.AboveNormal;
            Actions.Add(customerAction);

            Actions.Add(new ViewAction("Search Customers", execute: (a, o) => Controller.Action("Customer", "Search")) {Significance = ViewActionSignificance.AboveNormal});

            Actions.Add(new ViewAction("Menu Item #1", execute: (a, o) => MessageBox.Show("Menu Item #1 clicked!")) {Significance = ViewActionSignificance.AboveNormal});
            Actions.Add(new ViewAction("Menu Item #2", execute: (a, o) => MessageBox.Show("Menu Item #2 clicked!")));
            Actions.Add(new ViewAction("Menu Item #3", execute: (a, o) => MessageBox.Show("Menu Item #3 clicked!")));

            Actions.Add(new SwitchThemeViewAction("Metro", "Metro Theme", category: "View"));
            Actions.Add(new SwitchThemeViewAction("Battleship", "Windows 95 Theme", category: "View"));
        }
    }
}
